QuantLib: StrippedOptionlet Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
StrippedOptionlet Class Reference

`#include <ql/termstructures/volatility/optionlet/strippedoptionlet.hpp>`

Inheritance diagram for StrippedOptionlet:
[legend]

## Public Member Functions
| StrippedOptionlet (Natural settlementDays, const Calendar &calendar, BusinessDayConvention bdc, const boost::shared_ptr< IborIndex > &iborIndex, const std::vector< Date > &optionletDates, const std::vector< Rate > &strikes, const std::vector< std::vector< Handle< Quote > > > &, const DayCounter &dc, VolatilityType type=ShiftedLognormal, Real displacement=0.0)
VolatilityType | volatilityType () const
Real | displacement () const
StrippedOptionletBase interface
const std::vector< Rate > & | optionletStrikes (Size i) const
const std::vector< Volatility > & | optionletVolatilities (Size i) const
const std::vector< Date > & | optionletFixingDates () const
const std::vector< Time > & | optionletFixingTimes () const
Size | optionletMaturities () const
const std::vector< Rate > & | atmOptionletRates () const
DayCounter | dayCounter () const
Calendar | calendar () const
Natural | settlementDays () const
BusinessDayConvention | businessDayConvention () const
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Helper class to wrap in a StrippedOptionletBase object a matrix of exogenously calculated optionlet (i.e. caplet/floorlet) volatilities (a.k.a. forward-forward volatilities).